body,
html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    background-color: black;
    color: white;
    font-family: 'Raleway', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

p {
    font-size: 16px;
}

.title {
    font-size: clamp(2.5rem, 16vw, 8rem);
    font-weight: 500;
    display: flex;
}

.title span {
    opacity: 0;
    animation: fadeIn 1s forwards;
}

.title span:nth-child(1) {
    animation-delay: 0.2;
}

.title span:nth-child(2) {
    animation-delay: 0.4s;
}

.title span:nth-child(3) {
    animation-delay: 0.6s;
}

.title span:nth-child(4) {
    animation-delay: 0.8s;
}

.title span:nth-child(5) {
    animation-delay: 1.0s;
}

.title span:nth-child(6) {
    animation-delay: 1.2s;
}

.title span:nth-child(7) {
    animation-delay: 1.4s;
}

/* Add more delays for additional letters */
@keyframes fadeIn {
    to {
        opacity: 1;
    }
}

.loading-bar {
    width: min(650px, 80vw);
    height: 2px;
    background-color: #333;
    margin: 20px 0;
    border-radius: 5px;
    overflow: hidden;
}

.loading-bar div {
    width: 0;
    height: 100%;
    background-color: #635151;
    animation: load 2.3s forwards;
}

@keyframes load {
    to {
        width: 100%;
    }
}

.button-white {
    margin-top: 20px;
    padding: 10px;
}

.button-white a {
    display: inline-block;
    padding: 12px 27px;
    background-color: transparent;
    color: #ff4c4c;
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    transition: background-color 0.3s ease, transform 0.3s ease;
    border: 1px solid white;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
}

.button-white a:hover {
    background-color: #ff4c4c;
    color: black;
    transform: scale(1.05);
}


@media screen and (max-width: 768px) {
    .loading-bar {
        width: 75%;
    }
}
.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border-width: 0;
}
